Retrieve account program
curl --request GET \
--url https://api.augustus.com/v1/account_programs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/account_programs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/account_programs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"type": "account_program",
"label": "Primary FBO program",
"status": "active",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z"
}Account Programs
Retrieve account program
Retrieves an account program by ID.
GET
/
v1
/
account_programs
/
{id}
Retrieve account program
Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the account program.
Example:
"550e8400-e29b-41d4-a716-446655440002"
Response
200 - application/json
The account program resource
Unique identifier of the account program.
Example:
"550e8400-e29b-41d4-a716-446655440002"
Resource type discriminator.
Available options:
account_program Human-readable label for the account program.
Example:
"Primary FBO program"
Account program lifecycle status. Closed programs are not returned by this endpoint.
Available options:
active, frozen ISO 8601 UTC timestamp when the account program was created.
Example:
"2026-01-15T10:30:00Z"
ISO 8601 UTC timestamp when the account program was last updated.
Example:
"2026-01-15T10:35:00Z"
Was this page helpful?